server:
  port: 14100
spring:
  jpa:
    open-in-view: true
    database: mysql
    show-sql: true
    properties:
      hibernate:
        dialect: org.hibernate.dialect.MySQLDialect
  application:
    name: base-server
  devtools:
    restart:
      enabled: false
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
#    url: jdbc:mysql://172.16.0.46:3306/base?useUnicode=true&characterEncoding=UTF-8&useSSL=true&serverTimezone=GMT%2b8
    url: jdbc:mysql://172.16.0.36:3306/base?useUnicode=true&characterEncoding=UTF-8&useSSL=true&serverTimezone=GMT%2b8
#    url: jdbc:mysql://101.36.160.140:10311/base?useUnicode=true&characterEncoding=UTF-8&useSSL=true&serverTimezone=GMT%2b8
    username: root
    password: admin@1234
    driver-class-name: com.mysql.cj.jdbc.Driver
    druid:
#db-type: mysql
      initial-size: 5
      max-active: 30
      min-idle: 5
      max-wait: 60000
      pool-prepared-statements: true
      max-pool-prepared-statement-per-connection-size: 30
      validation-query: SELECT 1 FROM DUAL
      test-on-borrow: false
      test-on-return: false
      test-while-idle: true
      time-between-connect-error-millis: 60000
      min-evictable-idle-time-millis: 300000
      max-evictable-idle-time-millis: 3000000
      filters: stat,wall
      connection-properties: druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000
      use-global-data-source-stat: true
      web-stat-filter:
        url-pattern: /*
        exclusions: /druid/*,*.js,*.gif,*.jpg,*.bmp,*.png,*.css,*.ico
        enabled: true
        session-stat-enable: true
        session-stat-max-count: 10
      stat-view-servlet:
        url-pattern: /druid/*
        reset-enable: true
        login-username: druid
        login-password: druid
mybatis:
  configuration:
    map-underscore-to-camel-case: true
  type-aliases-package: com.unis.base.server.entity
  mapper-locations:
  - classpath:mybatis/mapper/*.xml
#服务注册配置
eureka:
  client:
    service-url:
#      defaultZone: http://172.16.0.73:11000/eureka/
      defaultZone: http://172.16.0.4:11000/eureka/
  instance:
    prefer-ip-address: true
    status-page-url-path: /swagger-ui.html

#日志配置
logging:
  level:
    com.unis: debug
    root: warn
    org.springframework.web: debug
    org.hibernate: error
    com.unis.demo.controller: info
  path: ./log/

#外省粮库
otherProvGrDepots:
  91220183556362445W,911301816665851050,911311021097909319,91220183556362525G,91130183MA08TQPD9D
excel:
  #  template-directory-path: E:/localProLib/LiangShi/cbl-app/src/main/resources/excel-templates/
  template-directory-path: /Users/rising123sun/工作/ly/code/county-cbl-app/src/main/resources/excel-templates/
